<?php

namespace IZON\Admin\Domain;

use \IZON\DB\DBObject;

/**
 * vazba mezi rolemi a moduly
 */
class AdminRoleModule implements DBObject {
    
    /**
     * nazev tabulky na kterou se mapuje
     */
    public static function __tableName() { return 'core_admin_role_modules'; }
    
    /**
     * @var integer 
     */
    protected $id;

    /**
     * @var integer
     */
    protected $fkAdminRoleId;
    
    /**
     * @var integer
     */
    protected $fkAdminModuleId;
    
    
    function getId() {
        return $this->id;
    }

    function setId($id) {
        $this->id = $id;
    }

    function getFkAdminRoleId() {
        return $this->fkAdminRoleId;
    }

    function getFkAdminModuleId() {
        return $this->fkAdminModuleId;
    }

    function setFkAdminRoleId($fkAdminRoleId) {
        $this->fkAdminRoleId = $fkAdminRoleId;
    }

    function setFkAdminModuleId($fkAdminModuleId) {
        $this->fkAdminModuleId = $fkAdminModuleId;
    }
}
